apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ template "common.names.fullname" . }}
  labels: {{- include "common.labels.standard" . | nindent 4 }}
  {{- if .Values.commonLabels }}
  {{- include "common.tplvalues.render" ( dict "value" .Values.commonLabels "context" $ ) | nindent 4 }}
  {{- end }}
  {{- if .Values.commonAnnotations }}
  annotations: {{- include "common.tplvalues.render" ( dict "value" .Values.commonAnnotations "context" $ ) | nindent 4 }}
  {{- end }}
data:
  SECRET_KEY: {{ .Values.backend.secretKey }}
  FLASK_APP: app.py
  FLASK_ENV: {{ .Values.backend.flaskEnv }}
  HYDRA_CLIENT_ID: {{ .Values.backend.oidc.clientId }}
  HYDRA_AUTHORIZATION_BASE_URL: {{ .Values.backend.oidc.authorizationBaseUrl }}
  TOKEN_URL: {{ .Values.backend.oidc.tokenUrl }}
  HYDRA_URL: {{ .Values.backend.oidc.baseUrl }}

  # {{- if .Values.backend.smtp.enabled }}
  # DASHBOARD_BACKEND_SMTP_HOST: {{ .Values.backend.smtp.host | quote }}
  # DASHBOARD_BACKEND_SMTP_PORT: {{ .Values.backend.smtp.port | quote }}
  # {{- if .Values.backend.smtp.user }}
  # DASHBOARD_BACKEND_SMTP_USER: {{ .Values.backend.smtp.user | quote }}
  # {{- end }}
  # {{- if .Values.backend.smtp.protocol }}
  # DASHBOARD_BACKEND_SMTP_PROTOCOL: {{ .Values.backend.smtp.protocol | quote }}
  # {{- end }}
  # {{- if .Values.backend.smtp.auth }}
  # DASHBOARD_BACKEND_SMTP_AUTH: {{ .Values.backend.smtp.auth | quote }}
  # {{- end }}
  # {{- end }}
